//+------------------------------------------------------------------+
//|                                                       spread.mq4 |
//|                        Copyright 2021, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2021, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
input int ComicionUSD = 6;
input color Color = Red;
string name ="Comicion+Sp";
input double Digitos = 0.00001;
input double tickvalue = 0.95;

//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {

//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
   ObjectDelete(0,name);

  }



//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnTick()
  {
   double margen = ComicionUSD/tickvalue;
   double comicion = Digitos * margen + Ask;


   if(!ObjectCreate(_Symbol,name,OBJ_HLINE,0,0,comicion))
     {
      Print("Error objeto no creado! ",GetLastError());

     }
   ObjectSetInteger(0,name,OBJPROP_STYLE,STYLE_SOLID);
   ObjectSetInteger(0,name,OBJPROP_COLOR,Color);
   ObjectMove(_Symbol,"Comicion+Sp",0,0,comicion);
   
  }
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//---

  }
//+------------------------------------------------------------------+
